%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  mnorm
%global packver   1.2.2
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.2.2
Release:          1%{?dist}%{?buildtag}
Summary:          Multivariate Normal Distribution

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildRequires:    R-CRAN-hpa >= 1.3.1
BuildRequires:    R-CRAN-Rcpp >= 1.0.10
BuildRequires:    R-CRAN-RcppArmadillo 
Requires:         R-CRAN-hpa >= 1.3.1
Requires:         R-CRAN-Rcpp >= 1.0.10

%description
Calculates and differentiates probabilities and density of (conditional)
multivariate normal distribution and Gaussian copula (with various
marginal distributions) using methods described in A. Genz (2004)
<doi:10.1023/B:STCO.0000035304.20635.31>, A. Genz, F. Bretz (2009)
<doi:10.1007/978-3-642-01689-9>, H. I. Gassmann (2003)
<doi:10.1198/1061860032283> and E. Kossova, B. Potanin (2018)
<https://ideas.repec.org/a/ris/apltrx/0346.html>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
